html {
    scroll-behavior: smooth;
}

legend {
    display: block;
    width: auto;
    line-height: inherit;
    color: inherit;
    white-space: normal;
    padding: 0 4px;
    font-size: 1rem;
    font-style: italic;
}

fieldset {
    border: 1px solid #eee;
    padding: 0 1rem;
    margin-bottom: 5px;
}

.addEditIcons {
    position: absolute;
    display: flex;
    gap: 15px;
    justify-content: flex-end;
    width: 85%;
}

.addEditIcons i {
    cursor: pointer;
}
.cursor-pointer {
    cursor: pointer;
}

.sidebar-dark-primary .nav-sidebar.nav-legacy>.nav-item>.nav-link.active,
.sidebar-light-primary .nav-sidebar.nav-legacy>.nav-item>.nav-link.active {
    /* border-right-color: #a3b7c4;
    border-right-width: 10px;
    border-right-style: solid;
    background-color: rgba(2, 27, 30, 0.6);
    color: #a3b7c4; */
    border-radius: 20px;
    background-color: #4c3cce;
}

.nav-link {
    display: block;
    padding: .4rem 1rem;
  }

.partition {
    background-color: #fbfbfd;
    border: 1px solid #8b98b2c9;
    border-radius: 5px;
}

label:not(.form-check-label):not(.custom-file-label){
    font-weight: normal;
}

@keyframes spin {
    from{rotate: 0deg;}
    to{rotate: 360deg;}
}

.spinner{
    animation: spin 3s linear infinite;
}

html, body{
    scroll-behavior: smooth !important;
}
p.small.text-muted, ul.pagination{margin-bottom: 0;}
.back-detail-block{display: none;}
input[type=number]{
    -moz-appearance: textfield;
}
input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button{
    -webkit-appearance: none;
    margin: 0;
}

.product-selection .select2-container{
    width: 100% !important;
    border: none;
}
.product-selection .select2-selection{
    border: none;
}
.product-selection .select2-selection__rendered{
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.product-selection{
    width: 250px;
}
.select2-selection__arrow{
    display: none;
}
#ui-datepicker-div{
    z-index: 9999 !important;
}
.main-header.navbar{
    background-color: #1d2646;
    color: white;
}
.main-header.navbar a.nav-link{
    color: white;
}
.main-header.navbar a.nav-link:hover{
    color: rgb(203, 203, 203);
}
.main-header.navbar a.nav-link:active{
    color: rgb(203, 203, 203);
}
.card{
    background-color: #bdd7f3;
    border: 1px solid rgba(0, 73, 148, 0.81);
}
.table, .table.table-bordered td, .table.table-bordered th{
    border: 1px solid #001831;
}
input.bg-white{
    background-color: transparent !important;
}
.select2-container--default .select2-selection--single {
    background-color: transparent;
    border: none;
    border-radius: 0px;
}
.main-sidebar{
    background-color: #0c1526;
    color: #c2c6ce;
}
[class*="sidebar-dark-"] .sidebar a{
    color: #c2c6ce;
}
.form-control:focus {
    background-color: transparent;
}
.form-control {
    color: #495057;
    background-color: transparent;
    border: 1px solid #5c4ec5;
}
.custom-file-label{
    background-color: transparent;
    border: 1px solid #5c4ec5;
}
.custom-file-input{
    cursor: pointer;
}
.btn-primary{
    color: #fff;
    background-color: #4c3cce;
    border-color: #5c4ec5;
}
.btn-default {
    background-color: #ccd9e7;
    color: #2b2b2b;
    border-color: #95c0eb;
}
.btn-default.hover, .btn-default:active, .btn-default:hover {
    background-color: #cad4e9;
    color: #73a9e0;
}

.main-footer {
    background-color: #1d2646;
    color: white;
    border-top:none;
}
.dropdown-item:focus, .dropdown-item:hover {
    color: #16181b;
    text-decoration: none;
    background-color: #c9e2fb;
}
.form-control:focus{
    border-color: #4c3cce;
}
.input-group-text{
    border: 1px solid #4c3cce;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #dbd9f0;
}

.card{
    border: 1px solid #e0e2e7;
  background: #ffffff;
  box-shadow: 0 1px 2px #1018280f,0 1px 3px #1018281a;
}
.content-wrapper{
    background: #f0f1f3;
}
.nav{
    padding: 0px 10px;
    font-size: 14px;
    gap: 5px;
}

.nav-sidebar > .nav-item:hover > .nav-link{
    border-radius: 20px;
    color: #a3a9b6;
}

.nav-item .nav-link{
    padding: 5px 10px;
}
.sidebar-dark-primary .nav-sidebar.nav-legacy > .nav-item > .nav-link.active{
    border: none;
}
.table{
    border: none;
    box-shadow: 0px 0px 5px 0px rgba(128, 128, 128, 0.621);
    border-radius: 5px;
}
.table td, .table th{
    padding: 5px 10px;
    vertical-align: middle;
    border: none;
    padding: 8px;
}
.table td:first-child{
    padding: 8px 10px;
}
.table thead th{
    vertical-align: middle;
    text-align: center;
    padding: 10px 10px;
    border: none;
    /* background-color: #eeeeee; */
}
.table.table-bordered thead th{
    background-color: #eeeeee;
}
.card-body > .table > thead > tr > th{
    border-top-width: 1px;
}

select option:hover{
    background-color: yellow !important;
}
.select2-container--default .select2-results > .select2-results__options{
    max-height: 500px;
}

.no-access{
    pointer-events: none !important;
}

.no-access::before{
    content: '';
    display: block;
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(248, 248, 248, 0.599);
}

.table-striped tbody tr:nth-of-type(2n+1) {
    background-color: #b4b4b824;
}
.table-hover tbody tr{
    transition: 0.5s;
}
.table-hover tbody tr:hover {
    color: #fff;
    background-color: rgb(29, 38, 70);
}
.text-ellipsis{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 50px;
}
.table-striped td{
    text-align: center;
}
[class*="icheck-"] > input.checkbox-type[type="radio"]:first-child + label::before {
    border-radius: 0;
}
